AsterNet Class Library (Sandcastle documentation)
AsterNet Class Library (Sandcastle documentation)
AsterNET.FastAGI.Command
SayTimeCommand Class
SayTimeCommand Constructor
SayTimeCommand Methods
SayTimeCommand Properties

| SayTimeCommand Class

Say a given time, returning early if any of the given DTMF digits are received on the channel.
Time is the number of seconds elapsed since 00:00:00 on January 1, 1970, Coordinated Universal Time (UTC).
Returns 0 if playback completes without a digit being pressed, or the ASCII numerical value of the digit if one was pressed or -1 on error/hangup.
Inheritance Hierarchy
System
Object
AsterNET.FastAGI.Command
AGICommand
AsterNET.FastAGI.Command
SayTimeCommand

Namespace: AsterNET.FastAGI.Command
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class SayTimeCommand : AGICommand

    Public Class SayTimeCommand
    	Inherits AGICommand

    public ref class SayTimeCommand : public AGICommand

    type SayTimeCommand =
        class
            inherit AGICommand
        end

The SayTimeCommand type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| SayTimeCommand(Int64) | Creates a new SayTimeCommand.
| SayTimeCommand(Int64, String) | Creates a new SayTimeCommand.

Top
Methods

| Name | Description
--- | --- | ---
| BuildCommand | (Overrides AGICommand BuildCommand .)
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| EscapeAndQuote | (Inherited from AGICommand.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| ToString | (Inherited from AGICommand.)

Top
Properties

| Name | Description
--- | --- | ---
| EscapeDigits | Get/Set the digits that allow the user to interrupt this command.
| Time | Get/Set the time to say in seconds since 00:00:00 on January 1, 1970.

Top
See Also

#### Reference

AsterNET.FastAGI.Command Namespace